package cn.com.infosec.crypto.tls;

import java.io.InputStream;

public class TlsInputStream extends InputStream {
   private byte[] buf = new byte[1];
   private TlsProtocolHandler handler = null;

   TlsInputStream(TlsProtocolHandler handler) {
      this.handler = handler;
   }

   public int read(byte[] buf, int offset, int len) {
      return this.handler.readApplicationData(buf, offset, len);
   }

   public int read() {
      return this.read(this.buf) < 0 ? -1 : this.buf[0] & 255;
   }

   public void close() {
      this.handler.close();
   }
}
